<?php
/*
 * ----------------------------------------------------------------------------
 * Index.php                                                         02/27/2008
 * Display VADV-PHP menu to mobile device.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2005 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

$VA_ACTION = 'Mobile: Viewing Home Page';

require_once('include_dir.php');
require_once($includeDir . 'va-functions.inc.php');
require_once($includeDir . 'va-database.inc.php');
require_once($includeDir . 'va-main.inc.php');
require_once($includeDir . 'va-control.inc.php');
require_once($includeDir . 'va-misc.inc.php');

$control = GetControl();
$usersOnline = $control['activenodes'] + $VA_USERS[0];
$todaysCallers = GetTodaysCallers();

include_once('wml_header.php');
?>

<wml>

    <head>
        <meta http-equiv="Cache-Control" content="must-revalidate" forua="true" />
        <meta http-equiv="Cache-Control" content="no-cache" forua="true" />
    </head>

    <card title="<?php print $VA_MAIN['bbsname']; ?>">
        <do type="prev" label="Back"><prev /></do>
        <p mode="wrap" align="center">
            <b>Mobile VADV-PHP Home</b><br />
            <?php print WMLSpecialChars($VA_MAIN['bbsname']) . "\n"; ?><br />
            <small><?php print UserDate("m/d/y g:ia"); ?></small>
        </p>
        <p mode="wrap">
            <?php
            if (($USER['userno'] > 0) &&
                ($USER['userno'] != $CONFIG['guestacct'])) {
                print 'Logged in as:<br /><b>' . WMLSpecialChars($USER['handle']) . '</b> (#' . $USER['userno'] . ')<br /><br />' . "\n";
                $msgcnt = GetEmailCount($USER['userno']);
                if ($msgcnt['unread'] > 0) {
                    print 'You have new email!' . "\n";
                } else {
                    print 'You have no new email.' . "\n";
                }
                print '<br />' . "\n";
            }
            ?>
        </p>
        <p mode="nowrap">
            Choose:
            <br />
            <?php
            if (($USER['userno'] == 0) ||
                ($USER['userno'] == $CONFIG['guestacct'])) {
                print '<anchor>Login<go href="login.php" /></anchor>' . "\n";
                print '<br />' . "\n";
            }
            if (($USER['userno'] > 0) &&
                ($USER['userno'] != $CONFIG['guestacct'])) {
                print '<anchor>Email Menu<go href="email.php" /></anchor>' . "\n";
                print '<br />' . "\n";
            }
            ?>
            <anchor>Who's Online<go href="who.php" /></anchor> (<?php print $usersOnline; ?>)
            <br />
            <anchor>Today's Callers<go href="todays_callers.php" /></anchor> (<?php print $todaysCallers[0]; ?>)
            <?php
            if (($USER['userno'] > 0) &&
                ($USER['userno'] != $CONFIG['guestacct'])) {
                print '<br />' . "\n";
                print '<anchor>';
                print 'Logoff';
                print '<go href="' . $rootDir . 'login.php" method="post">';
                print '<postfield name="logoff" value="logoff" />';
                print '<postfield name="referer" value="wap/index.php" />';
                print '</go>';
                print '</anchor>' . "\n";
            }
            ?>
        </p>
        <?php include('mobile_footer.php'); ?>
    </card>

</wml>